RubyGems Navigation menu

rubocop 0.85.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.18.4 - July 23, 2021 (488 KB)
  2. 1.18.3 - July 06, 2021 (488 KB)
  3. 1.18.2 - July 02, 2021 (487 KB)
  4. 1.18.1 - June 30, 2021 (487 KB)
  5. 1.18.0 - June 29, 2021 (487 KB)
  6. 0.85.0 - June 01, 2020 (381 KB)
Show all versions (185 total)

Runtime Dependencies (8):

  • parallel ~> 1.10
  • parser >= 2.7.0.1
  • rainbow >= 2.2.2, < 4.0
  • regexp_parser >= 1.7
  • rexml >= 0
  • rubocop-ast >= 0.0.3
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 2.0
  • Development Dependencies (1):

  • bundler >= 1.15.0, < 3.0
  • Owners:

    Pushed by:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    3963352c8187a06dbf3f65358ab91eff3502792da8dbb0e8329eeb7fb74715bc

    Total downloads 170,647,517

    For this version 350,017

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: